<script>
    import axios from 'axios';
    import { Swiper, SwiperSlide } from 'vue-awesome-swiper'
    import 'swiper/css/swiper.css';
    import ContactForm from '../../partials/ContactForm.vue';
    import VueScrollReveal from 'vue-scroll-reveal';
        
    Vue.use(VueScrollReveal, {
        class: 'v-scroll-reveal',
        duration: 800,
        scale: 1,
        distance: '10px',
        mobile: false
    }); 

    export default {
        components: {
            Swiper,
            SwiperSlide,
            ContactForm
        },
        data(){
            return{
                data:[],
                loading: true,
                swiperHome: {
                    spaceBetween: 20,
                    slidesPerView: 1,
                    loop: true,
                    navigation: {
                        nextEl: '.swiper-button-next',
                        prevEl: '.swiper-button-prev'
                    },
                    pagination: {
                        el: '.swiper-pagination'
                    },
                    autoplay: {
                        delay: 2500,
                        disableOnInteraction: false
                    },
                    breakpoints: {
                        768: {
                            slidesPerView: 2,
                        },
                        1580: {
                            slidesPerView: 3,
                            spaceBetween: 32,
                        },
                    }
                }
            }
        },
        methods: {
            getData(){
                axios.get('https://picsum.photos/v2/list?page=1&limit=10')
                    .then(response => {
                        this.data = response.data
                    }).catch( err => {
                        console.log(err);
                    })
            }
        },
        mounted(){
            this.getData();
            window.scrollTo(0, 0);

            document.onreadystatechange = () => {
                this.loading = false
            }
        }
    }
</script>
<template>
    <div>
        <!-- SITE LOADER -->
        <transition name="fade-slow">
            <div class="loader bg-primary-1" v-show="loading">
                <div class="loader-spinner"></div>
            </div>
        </transition>

        <div class="content-home pt-30">

            <!-- HERO -->
            <section class="home-hero pt-10 md:pt-22 pb-20 md:pb-13">
                <div class="container container--my-brand">
                    <div class="gs:grid align-center">
                        <div class="sm:col-13 mb-10 sm:mb-0" v-scroll-reveal.reset>
                            <h2 class="tx-32 md:tx-40 xl:tx-54 xxl:tx-72 tx-bold mb-10">
                                Invertir en la identidad de tu marca no es caro, no hacerlo sí lo es.
                            </h2>
                            <p class="tx-18 md:tx-20 xl:tx-26 xxl:tx-32 m-0">
                                En mybrand planeamos, diseñamos y ejecutamos estrategias bajo una metodología comprobada para encontrar la personalidad apropiada de tu marca.
                            </p>
                        </div>
                        <div class="col">
                            <div v-scroll-reveal.reset="{ origin: 'right', delay: 250 }">
                                <img class="hero-icon block sm:ml-auto" src="/assets/images/layout/icon-mybrand.svg" alt="Icono my brand">
                            </div>
                        </div>
                    </div>
                </div>
            </section>

            <!-- WHAT WE DO -->
            <span class="anchor" id="que-hacemos"></span>
            <section class="home-what-we-do bg-primary-1 pt-16 pb-28">
                <div class="container container--my-brand">
                    <h2 class="tx-28 md:tx-36 xxl:tx-40 tx-center mb-12" v-scroll-reveal.reset>
                        QUÉ HACEMOS
                    </h2>
                    <p class="description tx-20 md:tx-24 xxl:tx-26 tx-center mb-22 mx-auto" v-scroll-reveal.reset>
                        Te ayudamos a crear la personalidad de tu empresa. Con nuestra asesoría 360 podrás tener identidad visual, tono de comunicación y lenguaje sin importar el tipo de negocio que tengas, te asesoramos en:
                    </p>
                    <div class="flex flex-column align-center md:flex-row justify-center mx-auto" v-scroll-reveal.reset>
                        <img class="icon-naming mb-12 md:mb-0" src="/assets/images/views/home/what-we-do-1.svg" alt="">
                        <img class="icon-brand block md:mx-10 lg:mx-20 xxl:mx-30 mb-12 md:mb-0" src="/assets/images/views/home/what-we-do-2.svg" alt="">
                        <img class="icon-look" src="/assets/images/views/home/what-we-do-3.svg" alt="">
                    </div>
                </div>
            </section>

            <!-- WE KNOW -->
            <span class="anchor" id="porque-my-brand"></span>
            <section class="home-we-know py-28">
                <div class="container container--my-brand">
                    <p class="tx-28 md:tx-36 lg:tx-48 xxl:tx-60 tx-center m-0" v-scroll-reveal.reset>
                        Sabemos justo lo que tu MARCA necesita para atraer clientes potenciales
                    </p>
                </div>
            </section>

            <!-- TEST IT -->
            <section class="home-test-it relative">
                <div class="layer grid place-items-center absolute t-0 l-0 w-100pr h-100pr">
                    <a class="btn btn--white-outline tx-24 xl:tx-34 xxl:tx-40 tx-medium" href="" v-scroll-reveal.reset>
                        COMPRUÉBALO
                    </a>
                </div>
                <div class="container container--my-brand">
                    <div class="home-test-it-grid">
                        <img :src="'/assets/images/views/home/bg_test/imagen-' + item +'.png'" alt="" v-for="item in 30" :key="item + '_img'">
                    </div>
                </div>
            </section>

            <!-- PASSION -->
            <section class="home-passion bg-white py-23">
                <div class="container container--my-brand">
                    <p class="tx-28 md:tx-32 tx-center m-0" v-scroll-reveal.reset>
                        En mybrand nos apasiona analizar, imaginar, crear y definir estilos de comunicación que posicionarán tu marca.
                    </p>
                </div>
            </section>

            <!-- US -->
            <span class="anchor" id="nosotros"></span>
            <section class="home-us tx-white bg-secondary-1 py-27">
                <div class="container container--my-brand">
                    <div class="gs:grid align-center">
                        <div class="lg:col-11 xl:col-9 mb-20 lg:mb-0" v-scroll-reveal.reset>
                            <h2 class="tx-32 md:tx-36 xxl:tx-40 tx-bold mb-10">
                                NOSOTROS
                            </h2>
                            <div class="md:tx-20 xxl:tx-26 tx-light tx-leading-soft">
                                <p class="mb-5">
                                    Nos apasiona encontrar la esencia de las marcas y transmitirla hacia su público.
                                </p>
                                <p class="mb-5">
                                    Sabemos que a través de un logo, un slogan, los mensajes que lanzamos y todo lo que se asocia con cada marca deja una huella en la mente y en el corazón del espectador, logrando que se identifique y nos haga parte de su mundo.
                                </p>
                                <p class="mb-0">
                                    Así, nos reunimos en este laboratorio de ideas un grupo de profesionales que dedican su vida a esto: encontrar qué es lo que hace a tu marca ser única.
                                </p>
                            </div>
                        </div>
                        <div class="lg:col-9 xxl:col-12 ml-auto lg:mr-20 xxl:mr-18 px-15 sm:px-40 lg:px-0">
                            <img class="us-sample block mx-auto lg:ml-auto" src="/assets/images/views/home/us-sample.png" alt="">
                        </div>
                    </div>
                </div>
            </section>

            <!-- SUCCESS STORIES -->
            <section class="home-success-stories bg-white py-23 xxl:pb-35">
                <div class="container container--my-brand">
                    <h2 class="tx-28 md:tx-36 lg:tx-48 xxl:tx-60 tx-center tx-regular mb-20">
                        Casos de éxito
                    </h2>
                    
                    <div class="success-stories-swiper wrapper-swiper-out">
                        <swiper class="swiper hero-carrousel" :options="swiperHome">
                            <swiper-slide v-for="item in data" :key="item.id + '_step'">
                                <router-link exact-active-class="active" :to="`caso-de-exito/${item.id}`" class="item cursor-pointer" aria-current="page">
                                    <div class="overflow-hidden mb-12">
                                        <div class="img bg-center bg-cover bg-no-repeat transition-200" :style="{ 'background-image': 'url(' + item.download_url + ')' }"></div>
                                    </div>
                                    <div class="tx-32 md:tx-36 xxl:tx-40 mb-2">
                                        {{ item.author }}
                                    </div>
                                    <div class="tx-20 xxl:tx-24">
                                        Beauty
                                    </div>
                                </router-link>
                            </swiper-slide>
                        </swiper>
                        <div class="swiper-pagination" slot="pagination"></div>

                        <div class="swiper-button-prev" slot="button-prev">
                            <img src="/assets/images/helpers/arrow-swiper.svg" alt="">
                        </div>

                        <div class="swiper-button-next" slot="button-next">
                            <img src="/assets/images/helpers/arrow-swiper.svg" alt="">
                        </div>
                    </div>
                </div>
            </section>

            <!-- CONTACT -->
            <section class="home-contact py-27">
                <div class="container container--my-brand" v-scroll-reveal.reset>
                    <span class="anchor" id="contacto"></span>
                    <contact-form></contact-form>
                </div>
            </section>
        </div>
    </div>
</template>